import { Payload } from '../index';
import access from '../auth/operations/access';
import forgotPassword from '../auth/operations/forgotPassword';
import init from '../auth/operations/init';
import login from '../auth/operations/login';
import logout from '../auth/operations/logout';
import me from '../auth/operations/me';
import refresh from '../auth/operations/refresh';
import registerFirstUser from '../auth/operations/registerFirstUser';
import resetPassword from '../auth/operations/resetPassword';
import verifyEmail from '../auth/operations/verifyEmail';
import unlock from '../auth/operations/unlock';
import create from '../collections/operations/create';
import find from '../collections/operations/find';
import findByID from '../collections/operations/findByID';
import findVersions from '../collections/operations/findVersions';
import findVersionByID from '../collections/operations/findVersionByID';
import restoreVersion from '../collections/operations/restoreVersion';
import update from '../collections/operations/update';
import deleteHandler from '../collections/operations/delete';
import findOne from '../globals/operations/findOne';
import findGlobalVersions from '../globals/operations/findVersions';
import findGlobalVersionByID from '../globals/operations/findVersionByID';
import restoreGlobalVersion from '../globals/operations/restoreVersion';
import globalUpdate from '../globals/operations/update';
import preferenceUpdate from '../preferences/operations/update';
import preferenceFindOne from '../preferences/operations/findOne';
import preferenceDelete from '../preferences/operations/delete';
export declare type Operations = {
    collections: {
        create: typeof create;
        find: typeof find;
        findByID: typeof findByID;
        findVersions: typeof findVersions;
        findVersionByID: typeof findVersionByID;
        restoreVersion: typeof restoreVersion;
        update: typeof update;
        delete: typeof deleteHandler;
        auth: {
            access: typeof access;
            forgotPassword: typeof forgotPassword;
            init: typeof init;
            login: typeof login;
            logout: typeof logout;
            me: typeof me;
            refresh: typeof refresh;
            registerFirstUser: typeof registerFirstUser;
            resetPassword: typeof resetPassword;
            verifyEmail: typeof verifyEmail;
            unlock: typeof unlock;
        };
    };
    globals: {
        findOne: typeof findOne;
        findVersions: typeof findGlobalVersions;
        findVersionByID: typeof findGlobalVersionByID;
        restoreVersion: typeof restoreGlobalVersion;
        update: typeof globalUpdate;
    };
    preferences: {
        update: typeof preferenceUpdate;
        findOne: typeof preferenceFindOne;
        delete: typeof preferenceDelete;
    };
};
declare function bindOperations(ctx: Payload): void;
export default bindOperations;
